// ------------ GENERAL SHADERS ---------------------

textures/se_bunker/inside_cave
{
	//these two lines do the phong magic
	q3map_nonplanar
	q3map_shadeAngle 90

	qer_editorimage textures/se_bunker/mxrock3_a.tga
     {
          map $lightmap
          rgbGen identity
     }
     {
          map textures/se_bunker/mxrock3_a.tga
          blendFunc GL_DST_COLOR GL_ZERO
          rgbGen identity
     }
}

textures/se_bunker/nib_dirt
{
	qer_editorimage textures/se_bunker/nib_dirt.tga

	surfaceparm grasssteps
   {
       map $lightmap
       rgbGen identity
   }
   {
       map textures/se_bunker/nib_dirt.tga
       blendFunc GL_DST_COLOR GL_ZERO
       rgbGen identity
   }
}

textures/se_bunker/nib_sky_bunker
{
	qer_editorimage textures/skies/sky_m01dmcmp

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture

	q3map_lightsubdivide 1024

	q3map_sun	0.274632 0.274632 0.358662 25 325 35
	q3map_surfacelight 80
	fogvars ( .26 .26 .31 ) 3000

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0.0
	}
}




// ----------- BEGIN TERRAIN SHADERS ------------------


textures/se_bunker/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsnow3.jpg
		rgbGen vertex
		tcmod scale 0.1 0.1
	}
}

textures/se_bunker/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/snow/s_grass_ml03a_s.jpg
		rgbGen vertex
		tcmod scale 0.1 0.1
	}
}

textures/se_bunker/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/se_bunker/nib_rock_01.jpg
		rgbGen vertex
		tcmod scale 0.05 0.05
	}
}

textures/se_bunker/terrain_3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsand1.jpg
		rgbGen vertex
		tcmod scale 0.1 0.1
	}
}

textures/se_bunker/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsnow3.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}
	{
		map textures/snow/s_grass_ml03a_s.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/se_bunker/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsnow3.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}
	{
		map textures/se_bunker/nib_rock_01.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.05 0.05
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/se_bunker/terrain_0to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsnow3.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}
	{
		map textures/stone/mxsand1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


textures/se_bunker/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/snow/s_grass_ml03a_s.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}
	{
		map textures/se_bunker/nib_rock_01.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.05 0.05
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/se_bunker/terrain_1to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/snow/s_grass_ml03a_s.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
	}
	{
		map textures/stone/mxsand1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/se_bunker/terrain_2to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/se_bunker/nib_rock_01.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.05 0.05
	}
	{
		map textures/stone/mxsand1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.1 0.1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/se_bunker/vxterrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/mxsnow3.jpg
		rgbGen vertex
		tcmod scale 0.1 0.1
	}
}








// ------------ Lightmap shaders - no workie with foggie

//textures/se_bunker/terrain_0
//{
//	q3map_lightmapsamplesize 64
//	q3map_lightmapaxis z
//	q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//	{
//		map textures/stone/mxsnow3.jpg
//		rgbgen identity
//	}
//	{
//		map $lightmap
//		blendFunc GL_DST_COLOR GL_ZERO
//		rgbgen identity
//	}
//}
//
//	textures/se_bunker/terrain_1
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		surfaceparm snowsteps
//
//		{
//			map textures/snow/s_grass_ml03a_s.jpg
//			rgbgen identity
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//
//	textures/se_bunker/terrain_2
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		surfaceparm snowsteps
//
//		{
//			map textures/stone/mxsnow0.jpg
//			rgbgen identity
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_3
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			//map textures/assault_rock/ground_c09a.jpg
//			map textures/se_bunker/nib_sand.jpg
//			rgbgen identity
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//
//	textures/se_bunker/terrain_0to1
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			map textures/stone/mxsnow3.jpg
//			rgbgen identity
//		}
//		{
//			map textures/snow/s_grass_ml03a_s.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_0to2
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			map textures/stone/mxsnow3.jpg
//			rgbgen identity
//		}
//		{
//			map textures/stone/mxsnow0.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_0to3
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			map textures/stone/mxsnow3.jpg
//			rgbgen identity
//		}
//		{
//			// map textures/assault_rock/ground_c09a.jpg
//			map textures/se_bunker/nib_sand.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_1to2
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			map textures/snow/s_grass_ml03a_s.jpg
//			rgbgen identity
//		}
//		{
//			map textures/stone/mxsnow0.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_1to3
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//		{
//			map textures/snow/s_grass_ml03a_s.jpg
//			rgbgen identity
//		}
//		{
//			// map textures/assault_rock/ground_c09a.jpg
//			map textures/se_bunker/nib_sand.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	textures/se_bunker/terrain_2to3
//	{
//		q3map_lightmapsamplesize 64
//		q3map_lightmapaxis z
//		q3map_tcGen ivector ( 1536 0 0 ) ( 0 1536 0 )
//
//	{
//			map textures/stone/mxsnow0.jpg
//			rgbgen identity
//		}
//		{
//			// map textures/assault_rock/ground_c09a.jpg
//			map textures/se_bunker/nib_sand.jpg
//			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			rgbgen identity
//			alphaGen vertex
//
//		}
//		{
//			map $lightmap
//			blendFunc GL_DST_COLOR GL_ZERO
//			rgbgen identity
//		}
//	}
//
//	/////////////////////////////////
//	// Stuff for vertex lighting
//	/////////////////////////////////
//	textures/se_bunker/vxterrain
//	{
//		surfaceparm nolightmap
//		q3map_novertexshadows
//		q3map_forcesunlight
//		{
//			map textures/stone/mxsnow3.jpg
//			rgbGen vertex
//			tcmod scale 8.000000000 8.000000000
//			rgbgen identity
//		}
//	}
//
