// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon


textures/se_mtn_assault/se_mtn_assault_skybox
{
	qer_editorimage textures/editor_icons/skybox_texture.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_lightsubdivide 1024
	q3map_sun .99 .99 .99 200 320 50			// White
	q3map_surfacelight 80

	skyparms env/se_mtn_assault/se_mtn_assault - -
}


textures/se_mtn_assault/explosion
{
	polygonOffset
	entityMergable
	{
		map textures/se_mtn_assault/explosion.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/se_mtn_assault/tire_mark
{
	qer_editorimage textures/editor_icons/tire_mark_icon.jpg
	polygonOffset
	entityMergable
	{
		map textures/se_mtn_assault/tire_mark.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/se_mtn_assault/inside_cave
{
	//these two lines do the phong magic
	q3map_nonplanar
	q3map_shadeAngle 115

	qer_editorimage textures/se_mtn_assault/mxrock3g.tga
     {
          map $lightmap
          rgbGen identity
     }
     {
          map textures/se_mtn_assault/mxrock3g.tga
          blendFunc GL_DST_COLOR GL_ZERO
          rgbGen identity
     }
}

/////////////////////////////////////////////
//////////////// Terrain ////////////////////
/////////////////////////////////////////////

textures/se_mtn_assault/baseterrain
{

	q3map_lightmapsampleoffset 8.0
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/se_mtn_assault/terrain_0
{
	q3map_baseshader textures/se_mtn_assault/baseterrain
	

	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/se_mtn_assault/terrain_1
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

	{
		map textures/se_mtn_assault/nib_snow_grass.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/se_mtn_assault/terrain_2
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

	{
		map textures/terrain/dirt_m03_mung.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/se_mtn_assault/terrain_3
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

	{
		map textures/se_mtn_assault/nib_rock_02.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/se_mtn_assault/terrain_0to1
{

	q3map_baseshader textures/se_mtn_assault/baseterrain

		{
			map textures/snow/s_dirt_m03i_2.jpg
			rgbGen identity
		}
		{
			map textures/se_mtn_assault/nib_snow_grass.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			tcGen lightmap
			rgbGen identity
		}
}

textures/se_mtn_assault/terrain_0to2
{

	q3map_baseshader textures/se_mtn_assault/baseterrain

	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbgen identity
	}
	{
		map textures/terrain/dirt_m03_mung.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/se_mtn_assault/terrain_0to3
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

		{
			map textures/snow/s_dirt_m03i_2.jpg
			rgbgen identity
		}
		{
			map textures/se_mtn_assault/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/se_mtn_assault/terrain_1to2
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

	{
		map textures/se_mtn_assault/nib_snow_grass.jpg
		rgbgen identity
	}
	{
		map textures/terrain/dirt_m03_mung.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/se_mtn_assault/terrain_1to3
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

		{
			map textures/se_mtn_assault/nib_snow_grass.jpg
			rgbgen identity
		}
		{
			map textures/se_mtn_assault/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity

			alphaGen vertex

		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/se_mtn_assault/terrain_2to3
{
	q3map_baseshader textures/se_mtn_assault/baseterrain

		{
			map textures/terrain/dirt_m03_mung.jpg
			rgbgen identity
		}
		{
			map textures/se_mtn_assault/nib_rock_02.jpg
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen identity

			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
		}
}

textures/vxmtn_assault/terrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/snow/s_dirt_m03i_2.jpg
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}